package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "app_game_betting")
@ApiModel(value = "app_game_betting", description = "游戏投注记录")
public class AppGameBetting {

    @ApiModelProperty(value = "游戏投注Id")
    @TableId(value = "id" , type = IdType.AUTO)
    @Excel(name = "游戏投注Id", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏投注Id")
    private Long id;

    @Excel(name = "游戏平台ID")
    @TableField(value = "class_id")
    @ApiModelProperty(value = "游戏平台ID")
    private Long classId;

    @Excel(name = "游戏Id")
    @TableField(value = "game_id")
    @ApiModelProperty(value = "游戏Id")
    private Long gameId;

    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Excel(name = "主播ID")
    @TableField(value = "live_user_id")
    @ApiModelProperty(value = "主播ID")
    private Long liveUserId;

    @Excel(name = "直播房间号")
    @TableField(value = "live_room_id")
    @ApiModelProperty(value = "直播房间号")
    private Long liveRoomId;

    @Excel(name = "是否直播间投注 0：否 1：是")
    @TableField(value = "is_live")
    @ApiModelProperty(value = "是否直播间投注 0：否 1：是")
    private Integer isLive;

    @Excel(name = "游戏期号")
    @TableField(value = "game_date")
    @ApiModelProperty(value = "游戏期号")
    private String gameDate;

    @Excel(name = "投注类型：0：余额 1：金币")
    @TableField(value = "betting_type")
    @ApiModelProperty(value = "投注类型：0：余额 1：金币")
    private Integer bettingType;

    @Excel(name = "投注游戏类型 0：单选 1：多选")
    @TableField(value = "betting_game_type")
    @ApiModelProperty(value = "投注游戏类型 0：单选 1：写死多选：2：自由多选")
    private Integer bettingGameType;

    @Excel(name = "投注选项")
    @TableField(value = "betting_item")
    @ApiModelProperty(value = "投注选项（单选：为游戏选项值，多选：为字符串json格式{bettingItem:1,bettingAmount:10.0,bettingCount:1,bettingMultiple:1.0}）")
    private String bettingItem;

    @Excel(name = "投注选项倍数")
    @TableField(value = "betting_multiple")
    @ApiModelProperty(value = "投注选项倍数")
    private Double bettingMultiple;

    @Excel(name = "投注金额")
    @TableField(value = "betting_amount")
    @ApiModelProperty(value = "投注金额")
    private Double bettingAmount;

    @Excel(name = "投注佣金")
    @TableField(value = "betting_commission")
    @ApiModelProperty(value = "投注佣金")
    private Double bettingCommission;

    @Excel(name = "是否中奖：0：未开奖 1：是 2：否")
    @TableField(value = "is_winning")
    @ApiModelProperty(value = "是否中奖：0：未开奖 1：是 2：否")
    private Integer isWinning;

    @Excel(name = "投注时间")
    @TableField(value = "create_time")
    @ApiModelProperty(value = "投注时间")
    private Date createTime;

    @Excel(name = "开奖时间")
    @TableField(value = "update_time")
    @ApiModelProperty(value = "开奖时间")
    private Date updateTime;

}
